twig:
  form_themes:
    - '@EasyMedia/form/easy-media.html.twig'

doctrine:
  dbal:
    types:
      easy_media_type: Adeliom\EasyMediaBundle\Types\EasyMediaType

flysystem:
  storages:
    medias.storage:
      adapter: 'local'
      options:
        directory: '%kernel.project_dir%/upload'

easy_media:
  base_url: '/upload'
  storage_name: medias.storage
  media_entity: App\Entity\EasyMedia\Media
  folder_entity: App\Entity\EasyMedia\Folder
  ignore_files: '/^\..*/'
  allowed_fileNames_chars: '\._\-\''\s\(\),'
  allowed_folderNames_chars: _\-\s

  unallowed_mimes:
    - php
    - java

  unallowed_ext:
    - php
    - jav
    - py

  extended_mimes:
    image:
      - binary/octet-stream

    archive:
      - application/x-tar
      - application/zip

  last_modified_format: Y-m-d
  pagination_amount: 50
